Position Events
To enable third-party systems to promptly obtain the results of option exercise, assignment, and expiration, Broker OpenAPI supports an asynchronous event push mechanism for option position–related operations.
When the status of an option position operation changes (exercise, assignment, or expiration), the system will deliver event notifications, and subscribed clients will receive the execution results.
Exercise Event
Option Exercise Event Notification
- EXERCISED
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "POSITION",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "J6HA4EBQRQFJD2J6NQH0F7M649",
"position_id": "HLJQV6O9AVHH2JFKEBAO5PIUJ9",
"quantity": "1",
"symbol": "AAPL",
"strike_price": "220.00",
"option_expire_date": "2026-06-19",
"instrument_type": "OPTION",
"option_type": "CALL",
"market": "US",
"status": "EXERCISED",
"biz_type": "OPTION_EXERCISE"
}
}
Assignment Event
Option Assignment Event Notification
- ASSIGNED
{
"id": "event_a8f3d120-bf41-4e2c-b712-89cd5ef12a3b",
"event_type": "POSITION",
"position": "CKP2gxBDHBBgCDAC",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "J6HA4EBQRQFJD2J6NQH0F7M649",
"position_id": "MRKWT8P3BVNN4KGL0CBQ6QIXA2",
"quantity": "-1",
"symbol": "AAPL",
"strike_price": "220.00",
"option_expire_date": "2026-06-19",
"instrument_type": "OPTION",
"option_type": "CALL",
"market": "US",
"status": "ASSIGNED",
"biz_type": "OPTION_ASSIGNMENT"
}
}
Expiration Event
Option Expiration Event Notification
- EXPIRED
{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "POSITION",
"position": "CJO1fxACGAAgADAB",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"account_id": "J6HA4EBQRQFJD2J6NQH0F7M649",
"position_id": "HLJQV6O9AVHH2JFKEBAO5PIUJ9",
"quantity": "1",
"symbol": "AAPL",
"strike_price": "220.00",
"option_expire_date": "2026-05-08",
"instrument_type": "OPTION",
"option_type": "CALL",
"market": "US",
"status": "EXPIRED",
"biz_type": "OPTION_EXPIRATION"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
| id | string | Unique event identifier |
| event_type | string | Event type, fixed as POSITION |
| position | string | Position identifier |
| timestamp | string | Event timestamp in ISO 8601 format |
| payload | object | Event payload data |
Payload Fields
| Field | Type | Description |
|---|---|---|
| account_id | string | Account id. |
| position_id | string | Position id generated by the system. |
| quantity | string | Quantity. Positive for exercise/expiration (long position), negative for assignment (short position). |
| symbol | string | Symbol name. |
| strike_price | string | Option strike price. |
| option_expire_date | string | Option expiration date in YYYY-MM-DD format. |
| instrument_type | string | Type of financial instrument, fixed as OPTION. |
| option_type | string | Option type: CALL or PUT. |
| market | string | Market code indicating the trading venue or regulatory region of the financial instrument. |
| status | string | Position status: EXERCISED (exercise), ASSIGNED (assignment), or EXPIRED (expiration). |
| biz_type | string | Business type: OPTION_EXERCISE (exercise), OPTION_ASSIGNMENT (assignment), or OPTION_EXPIRATION (expiration). |